This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 13101 - Packages not upgraded should perhaps be written to upgrade.log
Packages not upgraded should perhaps be written to upgrade.log
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
: FutureFeature
Depends On:
Blocks: 14489
  Show dependency treegraph
 
Reported: 2000-06-27 05:46 EDT by Pekka Savola
Modified: 2007-03-26 23:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-25 11:52:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-06-27 05:46:22 EDT
An interesting new feature would be the list of packages written to
upgrade.log that weren't either obsoleted or upgraded (or the version   
stayed the same).  

In other words, packages Redhat doesn't support in its base system, or has
dropped the support of (e.g. AfterStep). This could also
help in diagonizing problems when you know which packages _should_ be
upgraded..
Comment 1 Matt Wilson 2000-07-07 14:57:00 EDT
In CVS.
Comment 2 Pekka Savola 2000-07-23 14:57:32 EDT
Verified in beta4.

However, " " or "\n" was forgotten from the code, as the list seems a little funny:

cp: TmpFile: No such file or directory
The following packages were available on the CD but NOT upgraded:
nasm-0.98-5.i386.rpmprinttool-3.48-1.noarch.rpm[....]

cp: TmpFile -problem is probably related to this too.

Added some enhancement thoughts to #14489.

Comment 3 Matt Wilson 2000-07-25 11:52:11 EDT
\n bug fixed.
Comment 4 Pekka Savola 2000-07-27 08:07:20 EDT
Fixed in beta5.

Note You need to log in before you can comment on or make changes to this bug.